Closed Bug 319797 Opened 16 years ago Closed 12 years ago

Firefox crashed several times if it's idle for some time [@ CSSStyleRuleImpl::GetImportantRule]

Categories

(Core :: CSS Parsing and Computation, defect)

1.8 Branch
x86
Windows XP
defect
Not set
critical

Tracking

()

RESOLVED DUPLICATE of bug 492675

People

(Reporter: mukesh.keekar, Unassigned)

Details

(Keywords: crash, topcrash)

Crash Data

Attachments

(5 files)

User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; FunWebProducts; .NET CLR 1.1.4322; FDM)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="8312" CHECKSUM="0xEF5F012B" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xEF20" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:33" UPTO_LINK_DATE="11/12/2005 01:05:33" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="BolSetup.exe" SIZE="4776344" CHECKSUM="0xF81E6140" BIN_FILE_VERSION="7.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0" PRODUCT_VERSION="" FILE_DESCRIPTION="Rediff Bol v7.0                                             " COMPANY_NAME="Rediff.com India Ltd.                                       " PRODUCT_NAME="" FILE_VERSION="7.0                 " ORIGINAL_FILENAME="" INTERNAL_NAME="" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x49AE67" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="06/19/1992 22:22:17" UPTO_LINK_DATE="06/19/1992 22:22:17" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="firefox.exe" SIZE="7162979" CHECKSUM="0x86EA8E39" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.5.0.0" PRODUCT_VERSION="1.5" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="firefox.exe" INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.5.0.0" LINK_DATE="11/12/2005 00:50:15" UPTO_LINK_DATE="11/12/2005 00:50:15" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="413789" CHECKSUM="0x2DE42C8D" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x73A1C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="155748" CHECKSUM="0xFD62FC20" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2A8A4" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="364636" CHECKSUM="0xCD00A2C0" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x657E2" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="237667" CHECKSUM="0x25FDF106" BIN_FILE_VERSION="1.53.0.0" BIN_PRODUCT_VERSION="1.53.0.0" PRODUCT_VERSION="1.53" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.53" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3C16A" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.53.0.0" UPTO_BIN_PRODUCT_VERSION="1.53.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="28777" CHECKSUM="0x38E5DFBA" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD14F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="24676" CHECKSUM="0xE1CFF6C4" BIN_FILE_VERSION="4.6.1.0" BIN_PRODUCT_VERSION="4.6.1.0" PRODUCT_VERSION="4.6.1" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.6.1" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" LEGAL_COPYRIGHT="Copyright © 1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xDD07" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.6.1.0" UPTO_BIN_PRODUCT_VERSION="4.6.1.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="106592" CHECKSUM="0xFAF7646" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1ABB0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="364644" CHECKSUM="0xBEF9CED8" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x5BF9D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="110684" CHECKSUM="0xB6217A46" BIN_FILE_VERSION="3.10.2.0" BIN_PRODUCT_VERSION="3.10.2.0" PRODUCT_VERSION="3.10.2" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.10.2" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1E70B" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.10.2.0" UPTO_BIN_PRODUCT_VERSION="3.10.2.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="123002" CHECKSUM="0x69403F4" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 00:46:24" UPTO_LINK_DATE="11/12/2005 00:46:24" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="7776" CHECKSUM="0xEAA6A855" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xBF76" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_compat.dll" SIZE="68203" CHECKSUM="0xF0756314" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom_obsolete" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x13D3B" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_core.dll" SIZE="401510" CHECKSUM="0x258AC13D" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x62CF1" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpicleanup.exe" SIZE="63596" CHECKSUM="0xAD74DCF5" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="xpicleanup.exe" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 00:46:40" UPTO_LINK_DATE="11/12/2005 00:46:40" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpistub.dll" SIZE="6758" CHECKSUM="0x365B6432" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="xpistub" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD4D2" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jar50.dll" SIZE="60516" CHECKSUM="0xFB1CC73B" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="jar" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x11862" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jsd3250.dll" SIZE="49246" CHECKSUM="0x28EF13AE" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="jsdebug" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x161C8" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\xpinstal.dll" SIZE="165990" CHECKSUM="0x26A5B6AD" BIN_FILE_VERSION="1.8.20051.11116" BIN_PRODUCT_VERSION="1.8.0.0" PRODUCT_VERSION="1.8: 2005111116" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.8: 2005111116" ORIGINAL_FILENAME="" INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x30EA7" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.8.20051.11116" UPTO_BIN_PRODUCT_VERSION="1.8.0.0" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="plugins\GetFlash.exe" SIZE="99544" CHECKSUM="0x3D8D9FD6" BIN_FILE_VERSION="7.0.19.0" BIN_PRODUCT_VERSION="7.0.19.0" PRODUCT_VERSION="7,0,19,0" FILE_DESCRIPTION="Macromedia Flash Player Updater 7.0  r19" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash Updater" FILE_VERSION="7,0,19,0" ORIGINAL_FILENAME="GetFlash.exe" INTERNAL_NAME="Macromedia Flash Player Updater 7.0" LEGAL_COPYRIGHT="Copyright © 1996-2003 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1BFD0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.19.0" UPTO_BIN_PRODUCT_VERSION="7.0.19.0" LINK_DATE="12/08/2003 21:58:21" UPTO_LINK_DATE="12/08/2003 21:58:21" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPMyWebS.dll" SIZE="24576" CHECKSUM="0xB043916E" BIN_FILE_VERSION="1.0.0.0" BIN_PRODUCT_VERSION="2.1.5.0" PRODUCT_VERSION="2, 1, 5, 0" FILE_DESCRIPTION="My Web Search Plugin Stub for 32-bit Windows" COMPANY_NAME="MyWebSearch.com" PRODUCT_NAME="My Web Search Plugin Stub" FILE_VERSION="1, 0, 0, 0" ORIGINAL_FILENAME="NPMyWebS.DLL" INTERNAL_NAME="MyWebSearchPluginStub" LEGAL_COPYRIGHT="Copyright © 2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.0" UPTO_BIN_PRODUCT_VERSION="2.1.5.0" LINK_DATE="09/23/2005 22:31:59" UPTO_LINK_DATE="09/23/2005 22:31:59" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npnul32.dll" SIZE="17022" CHECKSUM="0xCF0D9090" BIN_FILE_VERSION="1.0.0.15" BIN_PRODUCT_VERSION="1.0.0.15" PRODUCT_VERSION="1, 0, 0, 15" FILE_DESCRIPTION="Default Plug-in" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla Default Plug-in" FILE_VERSION="1, 0, 0, 15" ORIGINAL_FILENAME="NPNUL32.DLL" INTERNAL_NAME="DEFPLUGIN" LEGAL_COPYRIGHT="Copyright © 1995-2000" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1053B" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.15" UPTO_BIN_PRODUCT_VERSION="1.0.0.15" LINK_DATE="11/12/2005 01:05:34" UPTO_LINK_DATE="11/12/2005 01:05:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppdf32.dll" SIZE="77824" CHECKSUM="0x21D29EF2" BIN_FILE_VERSION="7.0.5.172" BIN_PRODUCT_VERSION="7.0.5.172" PRODUCT_VERSION="7.0.5.2005092300" FILE_DESCRIPTION="Adobe Acrobat Plug-In Version 7.00 for Netscape" COMPANY_NAME="Adobe Systems Inc." PRODUCT_NAME="Adobe Acrobat" FILE_VERSION="7.0.5.2005092300" ORIGINAL_FILENAME="NPPDF32.DLL" LEGAL_COPYRIGHT="Copyright 1984-2005 Adobe Systems Incorporated and its licensors. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10001" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1D654" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.5.172" UPTO_BIN_PRODUCT_VERSION="7.0.5.172" LINK_DATE="09/24/2005 04:44:16" UPTO_LINK_DATE="09/24/2005 04:44:16" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppl3260.dll" SIZE="139305" CHECKSUM="0x2E64668E" BIN_FILE_VERSION="6.0.11.2061" BIN_PRODUCT_VERSION="6.0.11.2061" PRODUCT_VERSION="6.0.11.2061" FILE_DESCRIPTION="RealPlayer(tm) LiveConnect-Enabled Plug-In" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit) " FILE_VERSION="6.0.11.2061" ORIGINAL_FILENAME="NPPL3260.DLL" INTERNAL_NAME="NPPL" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1995-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.11.2061" UPTO_BIN_PRODUCT_VERSION="6.0.11.2061" LINK_DATE="11/25/2004 05:04:48" UPTO_LINK_DATE="11/25/2004 05:04:48" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin2.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin3.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin4.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin5.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin6.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin7.dll" SIZE="126976" CHECKSUM="0x8EC0D182" BIN_FILE_VERSION="7.0.3.50" BIN_PRODUCT_VERSION="7.0.3.50" PRODUCT_VERSION="QuickTime 7.0.3" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 7.0.3" FILE_VERSION="7.0.3" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="Copyright Apple Computer, Inc. 1989-2005" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.3.50" UPTO_BIN_PRODUCT_VERSION="7.0.3.50" LINK_DATE="10/18/2005 03:42:23" UPTO_LINK_DATE="10/18/2005 03:42:23" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprjplug.dll" SIZE="24621" CHECKSUM="0x65AAD58F" BIN_FILE_VERSION="1.0.2.2122" BIN_PRODUCT_VERSION="1.0.2.2122" PRODUCT_VERSION="1.0.2.2122" FILE_DESCRIPTION="RealJukebox Netscape Plugin" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealJukebox NS Plugin" FILE_VERSION="1.0.2.2122" ORIGINAL_FILENAME="nprjplug.dll" INTERNAL_NAME="RealJukebox" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1999-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.2.2122" UPTO_BIN_PRODUCT_VERSION="1.0.2.2122" LINK_DATE="11/25/2004 04:35:17" UPTO_LINK_DATE="11/25/2004 04:35:17" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprpjplug.dll" SIZE="81967" CHECKSUM="0x23B73E0E" BIN_FILE_VERSION="6.0.12.1059" BIN_PRODUCT_VERSION="6.0.12.1059" PRODUCT_VERSION="6.0.12.1059" FILE_DESCRIPTION="6.0.12.1059" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer Version Plugin" FILE_VERSION="6.0.12.1059" ORIGINAL_FILENAME="npjplug.dll" INTERNAL_NAME="nprpjplug" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 2001-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.12.1059" UPTO_BIN_PRODUCT_VERSION="6.0.12.1059" LINK_DATE="11/25/2004 04:51:15" UPTO_LINK_DATE="11/25/2004 04:51:15" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPSWF32.dll" SIZE="832728" CHECKSUM="0x727FF45E" BIN_FILE_VERSION="7.0.19.0" BIN_PRODUCT_VERSION="7.0.19.0" PRODUCT_VERSION="7,0,19,0" FILE_DESCRIPTION="Shockwave Flash 7.0  r19" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash" FILE_VERSION="7,0,19,0" ORIGINAL_FILENAME="npswf32.dll" INTERNAL_NAME="Macromedia Flash Player 7.0" LEGAL_COPYRIGHT="Copyright © 1996-2003 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD57EE" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.19.0" UPTO_BIN_PRODUCT_VERSION="7.0.19.0" LINK_DATE="12/08/2003 22:04:44" UPTO_LINK_DATE="12/08/2003 22:04:44" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="uninstall\UninstallFirefox.exe" SIZE="107132" CHECKSUM="0xDDA75ED" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="11/12/2005 00:46:43" UPTO_LINK_DATE="11/12/2005 00:46:43" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="983552" CHECKSUM="0x4CE79457" BIN_FILE_VERSION="5.1.2600.2180" BIN_PRODUCT_VERSION="5.1.2600.2180" PRODUCT_VERSION="5.1.2600.2180" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.2180 (xpsp_sp2_rtm.040803-2158)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFF848" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.2180" UPTO_BIN_PRODUCT_VERSION="5.1.2600.2180" LINK_DATE="08/04/2004 07:56:36" UPTO_LINK_DATE="08/04/2004 07:56:36" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>


Reproducible: Always

Steps to Reproduce:
1.Open firefox in several tab. 
2.Start any download
3.Leave it for some time
4.Return after some time and suddenly all browsing tabs become in state of not responding . 

Actual Results:  
Info abt crashed application appeared and submit error application will pop up. 


AppName: firefox.exe	 AppVer: 1.8.20051.11116	 ModName: unknown
ModVer: 0.0.0.0	 Offset: 0246f5bc
Can you reinstall Firefox with Talkbalk (choose custom install) and provide a Talkback ID?
After the crash go to <installdir>\extensions\talkback@mozilla.org\components\talkback.exe and copy the ID to this bug.
(In reply to comment #4)Talk Back ID is : TB12817631E
> Can you reinstall Firefox with Talkbalk (choose custom install) and provide a
> Talkback ID?
> After the crash go to
> <installdir>\extensions\talkback@mozilla.org\components\talkback.exe and copy
> the ID to this bug.
> 
Alias: TB12817631E
(In reply to comment #5)
Second crash and this time ID is : TB12817924Z
Version: unspecified → 1.5 Branch
Incident ID: 12817924
Stack Signature	CSSStyleRuleImpl::GetImportantRule 890e3342
Product ID	Firefox15
Build ID	2005111116
Trigger Time	2005-12-10 12:23:06.0
Platform	Win32
Operating System	Windows NT 5.1 build 2600
Module	FIREFOX.EXE + (002b626c)
URL visited	
User Comments	
Since Last Crash	576 sec
Total Uptime	2372 sec
Trigger Reason	Access violation
Source File, Line No.	c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/style/nsCSSStyleRule.cpp, line 1373
Stack Trace 	
CSSStyleRuleImpl::GetImportantRule  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/style/nsCSSStyleRule.cpp, line 1373]
nsStyleSet::AddImportantRules  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/style/nsStyleSet.cpp, line 386]
nsStyleSet::FileRules  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/style/nsStyleSet.cpp, line 487]
nsStyleSet::ResolveStyleFor  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/style/nsStyleSet.cpp, line 583]
nsFrameManager::ReResolveStyleContext  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsFrameManager.cpp, line 1102]
nsFrameManager::ReResolveStyleContext  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsFrameManager.cpp, line 1333]
nsFrameManager::ComputeStyleChangeFor  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsFrameManager.cpp, line 1372]
nsCSSFrameConstructor::RestyleElement  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 10396]
nsCSSFrameConstructor::ProcessOneRestyle  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13812]
nsCSSFrameConstructor::ProcessPendingRestyles  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsCSSFrameConstructor.cpp, line 13860]
PresShell::FlushPendingNotifications  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/base/nsPresShell.cpp, line 5326]
nsBoxObject::GetFrame  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsBoxObject.cpp, line 169]
nsBoxObject::GetDocShell  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsBoxObject.cpp, line 546]
nsIFrameBoxObject::GetDocShell  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/layout/xul/base/src/nsIFrameBoxObject.cpp, line 89]
XPCWrappedNative::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp, line 2139]
XPC_WN_GetterSetter  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp, line 1476]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1177]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1274]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1333]
js_GetProperty  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsobj.c, line 2938]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 5249]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1197]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1274]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1333]
js_GetProperty  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsobj.c, line 2938]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 5249]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1197]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1274]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1333]
js_GetProperty  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsobj.c, line 2938]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 5249]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1197]
js_InternalInvoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1274]
js_InternalGetOrSet  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1333]
js_GetProperty  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsobj.c, line 2938]
js_Interpret  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 5249]
js_Invoke  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/jsinterp.c, line 1197]
nsXPCWrappedJSClass::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp, line 1369]
nsXPCWrappedJS::CallMethod  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp, line 462]
SharedStub  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp, line 147]
nsBrowserStatusFilter::OnSecurityChange  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/xpfe/browser/src/nsBrowserStatusFilter.cpp, line 266]
nsSecureBrowserUIImpl::UpdateSecurityState  [c:/builds/tinderbox/Fx-Mozilla1.8/WINNT_5.2_Depend/mozilla/security/manager/boot/src/nsSecureBrowserUIImpl.cpp, line 1111]
nsHttpChannel::`vftable'
nsFileChannel::AddRef
0xdaa1e92c
Alias: TB12817631E
Severity: minor → critical
Component: Tabbed Browser → Layout
Keywords: crash
Product: Firefox → Core
QA Contact: tabbed.browser → layout
Summary: Firefox crashed several times if its ideal for some time → Firefox crashed several times if it's idle for some time [@ CSSStyleRuleImpl::GetImportantRule]
Version: 1.5 Branch → 1.8 Branch
Assignee: nobody → dbaron
Component: Layout → Style System (CSS)
QA Contact: layout → ian
(In reply to comment #7)
One more important observation, 

This happened when ever some download is going on . 
Since from I upgraded from 1.07 to 1.5 I am not able to download any file so far. 
(In reply to comment #8)

Can you reproduce the problem in Firefox's safe-mode?
http://kb.mozillazine.org/Safe_Mode_(Firefox)
(In reply to comment #9)
I started FF in safe mode . In Safe mode it didnt crashed but worst happened. 

After waiting for whole yesterday night today morning still is freezed state. 

Screen shot attached
This also happens to me. Firefox final version 1.5 rv:1.8
Windows XP Professional. Tell me if you need to get files from me.
What files ?

I have seen this happen.  Any cure yet?
(In reply to comment #13)
> I have seen this happen.  Any cure yet?

I reverted to previous release of firefox which is much more stable then 1.5. I wil advice you that do the same . since then I didnt faced this problem again. 

How FF will compete with IE ? Its almost going to be 2 months. Till date their is no solution for described problem. Even though workarounds are also not available. 

What do the people who see this crash have in common?  Having a certain extension?  Loading a certain Web page?  There's not much to go on here.
Attached file analysis of TB17092300
What we currently get in Windows talkback reports isn't really enough to usefully diagnose this crash.  There's currently only a single Linux talkback report on this crash in the system (details in this attachment), and it shows that we're crashing dereferencing a non-null mDeclaration in the inlined HasImportantData call.  Not sure how we'd manage that given that we just made a virtual function call, since it implies that this->mDeclaration is pointing to unmapped memory but this still has a good vtable pointer.

I have no idea if this incident is typical of what shows up in the Windows incidents, which are by far the majority, though.  I wish we had registers in talkback.
The common thing is that most of us tried to download an files from internet (any extention) having size more than 10 MB. 


I feel mine crashes the most when I'm accessing a site that's heavy javascript however this isn't always the case.

(In reply to comment #17)
> The common thing is that most of us tried to download an files from internet
> (any extention) having size more than 10 MB. 

This is currently the #13 crash for Firefox 2.0.0.1. Requesting blocking.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Flags: blocking1.8.1.3?
Keywords: topcrash
If dbaron doesn't think he has enough to go on to get a fix (comment 16) then blocking is unrealistic.
Flags: blocking1.8.1.4? → wanted1.8.1.x+
Assignee: dbaron → nobody
QA Contact: ian → style-system
#19 crash for FF 2.0.0.14. not in top 100 for FF 3.0 crash-stats (so far).

top of stack also seen in Thunderbird, but entire stack not also the same

last FF build that has this crash is 2008052906, eg bp-968791e1-3de2-11dd-9d76-001321b13766

0  	xul.dll  	CSSStyleRuleImpl::GetImportantRule  	 mozilla/layout/style/nsCSSStyleRule.cpp:1299
1 	xul.dll 	nsStyleSet::FileRules 	mozilla/layout/style/nsStyleSet.cpp:544
2 	xul.dll 	nsStyleSet::ResolveStyleFor 	mozilla/layout/style/nsStyleSet.cpp:654
3 	xul.dll 	nsElementSH::PostCreate 	mozilla/dom/src/base/nsDOMClassInfo.cpp:7201
4 	xul.dll 	XPCWrappedNative::GetNewOrUsed 	mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:546
5 	xul.dll 	XPCConvert::NativeInterface2JSObject 	mozilla/js/src/xpconnect/src/xpcconvert.cpp:1106
6 	xul.dll 	XPCConvert::NativeData2JS 	mozilla/js/src/xpconnect/src/xpcconvert.cpp:481
7 	xul.dll 	XPCWrappedNative::CallMethod 	mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2481
8 	xul.dll 	XPC_WN_CallMethod 	mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp:1473
9 	js3250.dll 	js_Invoke 	mozilla/js/src/jsinterp.c:1297
10 	js3250.dll 	js_Interpret 	mozilla/js/src/jsinterp.c:4852
11 	js3250.dll 	js_Invoke 	mozilla/js/src/jsinterp.c:1313
12 	js3250.dll 	fun_call 	mozilla/js/src/jsfun.c:1589
13 	js3250.dll 	js_Interpret 	mozilla/js/src/jsinterp.c:4835
14 	js3250.dll 	js_Invoke 	mozilla/js/src/jsinterp.c:1313
15 	xul.dll 	nsXPCWrappedJSClass::CallMethod 	mozilla/js/src/xpconnect/src/xpcwrappedjsclass.cpp:1523
16 	xul.dll 	nsXPCWrappedJS::CallMethod 	mozilla/js/src/xpconnect/src/xpcwrappedjs.cpp:559
17 	xul.dll 	PrepareAndDispatch 	mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:114
18 	xul.dll 	SharedStub 	mozilla/xpcom/reflect/xptcall/src/md/win32/xptcstubs.cpp:141
19 	nspr4.dll 	PR_CallOnceWithArg 	
20 	xul.dll 	nsTimerImpl::Fire 	mozilla/xpcom/threads/nsTimerImpl.cpp:408
21 	xul.dll 	nsTimerEvent::Run 	mozilla/xpcom/threads/nsTimerImpl.cpp:490
22 	xul.dll 	nsThread::ProcessNextEvent 	mozilla/xpcom/threads/nsThread.cpp:510
23 	xul.dll 	nsBaseAppShell::Run 	mozilla/widget/src/xpwidgets/nsBaseAppShell.cpp:170
This might be showing up as nsStyleSet::AddImportantRules in Firefox 3.
(Though it's probably better to file a separate bug for that problem unless we know they're the same.)
I filed the AddImportantRules crash as bug 466024, though it may well be the same as this one.
CSSStyleRuleImpl::GetImportantRule crashes in the last week:
  3.5.2 - 23 reports, all mac
  3.0.13 - 462 reports, all windows

Not a topcrash anymore, never enough information to diagnose --> WFM.
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → WORKSFORME
While I can't check the module list for talkback reports since spike doesn't seem to be running anymore (but we do still have current talkback reports for this from Firefox 2.0.0.20), I'm going to change this from worksforme to duplicate, since I think the signature changed on Firefox 3 and again on 3.5.
Resolution: WORKSFORME → DUPLICATE
Duplicate of bug: 492675
Crash Signature: [@ CSSStyleRuleImpl::GetImportantRule]
You need to log in before you can comment on or make changes to this bug.